// creator  : weidu.exe (version 23100)
// argument : HUNTER.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~HUNTER~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #3 /* Triggers after states #: 8 even though they appear after this state */
~NumTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #4682 /* ~Beeloo Jansen~ */
  IF ~~ THEN REPLY #4683 /* ~Vaelag's Guard~ */ GOTO 1
  IF ~~ THEN REPLY #4684 /* ~Vaelag's Guard~ */ GOTO 2
  IF ~~ THEN REPLY #4685 /* ~Rescue Raelis and Haer'Dalis from the planar prison.

Now that Raelis Shai has used the gem I acquired for them to open up her planar portals to return to their extra-planar home, it appears that the past has caught up to the troupe.  Haer'Dalis, Raelis and the rest of the actors have been arrested by bounty hunters and brought through a portal... which remains open.  They have ignored me, for now, which only begs the question of whether or not I will follow.~ */ GOTO 3
  IF ~~ THEN REPLY #4686 /* ~~ */ GOTO 4
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #4687 /* ~Orog Leader~ */
  IF ~~ THEN REPLY #4689 /* ~~ */ GOTO 5
  IF ~~ THEN REPLY #4690 /* ~~ */ EXIT
  IF ~~ THEN REPLY #4691 /* ~Orog Leader~ */ GOTO 6
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #4692 /* ~Strange things are afoot on the Docks. Shipments are disappearing, as are my employees with them. We are significantly weakened by this.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 3 // from: 0.2
  SAY #4693 /* ~Officer Dirth~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 4 // from: 0.3
  SAY #4694 /* ~Officer Dirth~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 5 // from: 1.0
  SAY #4719 /* ~~ */
  IF ~~ THEN DO ~EscapeArea()
~ JOURNAL #7014 /* ~Perform Bodhi's tasks to receive her aid.

I now have the key to Aran Linvail's lair beneath the Shadow Thief headquarters.  Now it is time to go to the Docks District and confront the Shadowlord personally.~ */ EXIT
END

IF ~~ THEN BEGIN 6 // from: 1.2
  SAY #4729 /* ~~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 7 // from:
  SAY #6261 /* ~A Thayvian Red Wizard? I'd rather work amongst filth and slop than the Red Scourge.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #1 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 8 // from:
  SAY #6262 /* ~Mae'Var told us that you would have need of our services to complete a mission on your behalf.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 9 // from:
  SAY #9246 /* ~So instead you follow as ants and do her foul deeds? Have you not the courage to face her?~ */
  IF ~~ THEN EXIT
END
